claw::graphic::jpeg::writer::destination_manager Struct Reference

Destination manager that allow us to write in a std::ostream. More...

`#include <jpeg.hpp>`

## Public Member Functions

| destination_manager (std::ostream &os)
| Constructor.
| ~destination_manager ()
| Destructor.
void | flush ()
| Write the content of the buffer in the file.
void | term ()
| Write the last pending bytes in the file.

## Public Attributes

struct jpeg_destination_mgr | pub
| "public" fields, needed by the jpeg library.

## Detailed Description

Destination manager that allow us to write in a std::ostream.

Author
  Julien Jorge

Definition at line 196 of file jpeg.hpp.

## Constructor & Destructor Documentation

## destination_manager()

claw::graphic::jpeg::writer::destination_manager::destination_manager | ( | std::ostream & | os | ) |

Constructor.

Parameters

  os | The stream we write in.

Definition at line 90 of file jpeg_writer.cpp.

References pub.

## ~destination_manager()

claw::graphic::jpeg::writer::destination_manager::~destination_manager | ( |  | ) |

Destructor.

Definition at line 103 of file jpeg_writer.cpp.

## Member Function Documentation

## flush()

void claw::graphic::jpeg::writer::destination_manager::flush | ( |  | ) |

Write the content of the buffer in the file.

Definition at line 112 of file jpeg_writer.cpp.

References pub.

Referenced by claw__graphic__jpeg__destination_manager__empty_output_buffer().

## term()

void claw::graphic::jpeg::writer::destination_manager::term | ( |  | ) |

Write the last pending bytes in the file.

Definition at line 125 of file jpeg_writer.cpp.

References pub.

Referenced by claw__graphic__jpeg__destination_manager__term_destination().

## Member Data Documentation

## pub

struct jpeg_destination_mgr claw::graphic::jpeg::writer::destination_manager::pub

"public" fields, needed by the jpeg library.

Definition at line 207 of file jpeg.hpp.

Referenced by claw__graphic__jpeg__destination_manager__empty_output_buffer(), claw__graphic__jpeg__destination_manager__term_destination(), destination_manager(), flush(), and term().

The documentation for this struct was generated from the following files:

- jpeg.hpp
- code/jpeg_writer.cpp